package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OAHireSalaryDataCollection extends AbstractObjectCollection 
{
    public OAHireSalaryDataCollection()
    {
        super(OAHireSalaryDataInfo.class);
    }
    public boolean add(OAHireSalaryDataInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OAHireSalaryDataCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OAHireSalaryDataInfo item)
    {
        return removeObject(item);
    }
    public OAHireSalaryDataInfo get(int index)
    {
        return(OAHireSalaryDataInfo)getObject(index);
    }
    public OAHireSalaryDataInfo get(Object key)
    {
        return(OAHireSalaryDataInfo)getObject(key);
    }
    public void set(int index, OAHireSalaryDataInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OAHireSalaryDataInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OAHireSalaryDataInfo item)
    {
        return super.indexOf(item);
    }
}